﻿@using System.Data
@model DataTable
@{
    Layout = null;
}

@using (Html.BeginForm("UploadStudentData", "ExcelImport", FormMethod.Post, new { enctype = "multipart/form-data" }))
{
    <!--Show the Data Table on the View after reading the Excel File-->
    if (Model != null)
    {

        <table class="table table-striped- table-bordered table-hover table-checkable" id="kt_table_1">
            <thead>
                <tr>
                    <th>Full Name</th>
                    <th>Affiliate</th>
                    <th>Sponsor</th>
                    <th>Full Name Ar</th>
                    <th>Gender</th>
                    <th>Nationality</th>
                    <th>Emirates Id</th>
                    <th>Birth Date</th>
                    <th>Marital</th>
                    <th>Mobile Num</th>
                    <th>Email</th>
                    <th>Learner Status</th>
                    <th>User Id</th>
                </tr>
            </thead>
            <tbody>
                @for (int i = 0; i < Model.Rows.Count; i++)
                {

                    <tr>
                        <td>@Model.Rows[i][0]</td>
                        <td>@Model.Rows[i][1]</td>
                        <input type="hidden" value="@Model.Rows[i][0]" name="FullName[]" />
                        <td>@Model.Rows[i][2]</td>
                        <td>@Model.Rows[i][3]</td>
                        <input type="hidden" value="@Model.Rows[i][1]" name="Affiliate[]" />
                        <td id="@i">@Model.Rows[i][4]</td>
                        <input type="hidden" value="@Model.Rows[i][2]" name="Sponsor[]" />
                        <td>@Model.Rows[i][5]</td>
                        <td>@Model.Rows[i][6]</td>
                        <td>@Model.Rows[i][7]</td>
                        <td>@Model.Rows[i][8]</td>
                        <td>@Model.Rows[i][9]</td>
                        <td>@Model.Rows[i][10]</td>
                        <td>@Model.Rows[i][11]</td>
                        <td>@Model.Rows[i][12]</td>
                        <input type="hidden" value="@Model.Rows[i][3]" name="FullNameAr[]" />
                        <input type="hidden" value="@Model.Rows[i][4]" name="Gender[]" />
                        <input type="hidden" value="@Model.Rows[i][5]" name="Nationality[]" />
                        <input type="hidden" value="@Model.Rows[i][6]" name="EmiratesId[]" />
                        <input type="hidden" value="@Model.Rows[i][7]" name="BirthDate[]" />
                        <input type="hidden" value="@Model.Rows[i][8]" name="Marital[]" />
                        <input type="hidden" value="@Model.Rows[i][9]" name="MobileNum[]" />
                        <input type="hidden" value="@Model.Rows[i][10]" name="Email[]" />
                        <input type="hidden" value="@Model.Rows[i][11]" name="LearnerStatus[]" />
                        <input type="hidden" value="@Model.Rows[i][12]" name="UserId[]" />
                    </tr>
                }
            </tbody>
        </table>

        <div class="row">
            <div class="col-md-12 col-lg-12 col-sm-12 col-xl-12" data-step="3" data-intro="Tap/Click on submit to upload bulk data!">
                <!--Display Error Message-->
                <input type="submit" class="btn btn-primary" value="Upload" />
            </div>
        </div>
    }
}

